using System;
using System.ComponentModel;

namespace TheGameExtreme.model.card
{
    public abstract class Card // : INotifyPropertyChanged
    {

        //public event PropertyChangedEventHandler PropertyChanged;
        private int value;
        public int Value
        {
            get { return value; }
            set {
                this.value = value;
                //OnPropertyChange("Value");
            }
        }
        //private void OnPropertyChange(string v)
        //{
        //    PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(v));
        //}


        public Card(int value)
        {
            Value = value;
        }

        public abstract String getName();
        public abstract bool rapidEffect();

    }
}
